javax.faces.component.html

## Enum HtmlPanelGroup.PropertyKeys

- java.lang.Object
- - java.lang.Enum<HtmlPanelGroup.PropertyKeys>
  - - javax.faces.component.html.HtmlPanelGroup.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<HtmlPanelGroup.PropertyKeys>
  Enclosing class:
    HtmlPanelGroup

      protected static enum HtmlPanelGroup.PropertyKeys
      extends Enum<HtmlPanelGroup.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `layout`
    `onclick`
    `ondblclick`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `style`
    `styleClass`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HtmlPanelGroup.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlPanelGroup.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### layout

          public static final HtmlPanelGroup.PropertyKeys layout

    - #### onclick

          public static final HtmlPanelGroup.PropertyKeys onclick

    - #### ondblclick

          public static final HtmlPanelGroup.PropertyKeys ondblclick

    - #### onkeydown

          public static final HtmlPanelGroup.PropertyKeys onkeydown

    - #### onkeypress

          public static final HtmlPanelGroup.PropertyKeys onkeypress

    - #### onkeyup

          public static final HtmlPanelGroup.PropertyKeys onkeyup

    - #### onmousedown

          public static final HtmlPanelGroup.PropertyKeys onmousedown

    - #### onmousemove

          public static final HtmlPanelGroup.PropertyKeys onmousemove

    - #### onmouseout

          public static final HtmlPanelGroup.PropertyKeys onmouseout

    - #### onmouseover

          public static final HtmlPanelGroup.PropertyKeys onmouseover

    - #### onmouseup

          public static final HtmlPanelGroup.PropertyKeys onmouseup

    - #### style

          public static final HtmlPanelGroup.PropertyKeys style

    - #### styleClass

          public static final HtmlPanelGroup.PropertyKeys styleClass

  - ### Method Detail

    - #### values

          public static HtmlPanelGroup.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlPanelGroup.PropertyKeys c : HtmlPanelGroup.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlPanelGroup.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HtmlPanelGroup.PropertyKeys>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.